summaryrefslogtreecommitdiffstats
path: root/network/phpmyadmin
diff options
context:
space:
mode:
author Nishant Limbachia2010-05-12 23:32:40 +0200
committer Robby Workman2010-05-12 23:32:40 +0200
commita8defaaa71d10d62236f8d52a0e33fd923d75292 (patch)
tree1f8200c40fac0a8585332a4c2a5ae6360b95f989 /network/phpmyadmin
parentdcfc8298b253229af2f918842754ef61650698b7 (diff)
downloadslackbuilds-a8defaaa71d10d62236f8d52a0e33fd923d75292.tar.gz
network/phpmyadmin: Added to 12.2 repository
Diffstat (limited to 'network/phpmyadmin')
-rw-r--r--network/phpmyadmin/README22
-rw-r--r--network/phpmyadmin/phpmyadmin.SlackBuild83
-rw-r--r--network/phpmyadmin/phpmyadmin.info8
-rw-r--r--network/phpmyadmin/slack-desc19
4 files changed, 132 insertions, 0 deletions
diff --git a/network/phpmyadmin/README b/network/phpmyadmin/README
new file mode 100644
index 0000000000..944f22ca37
--- /dev/null
+++ b/network/phpmyadmin/README
@@ -0,0 +1,22 @@
+phpMyAdmin is a free software tool written in PHP intended to handle the
+administration of MySQL over the World Wide Web. phpMyAdmin supports a
+wide range of operations with MySQL. The most frequently used operations
+are supported by the user interface (managing databases, tables, fields,
+relations, indexes, users, permissions, etc), while you still have the
+ability to directly execute any SQL statement.
+
+It is recommended to use libmcrypt and mcrypt packages with phpmyadmin to
+speed up database access considerably.
+
+By default, there is only a sample config file included with the package.
+You can either copy that file and edit it according to your taste or you
+can do a graphical setup. Both processes are detailed in the docs.
+
+You can override DOCROOT, PHPUSER, and PHPGROUP at build time.
+They default to DOCROOT=/var/www/htdocs, PHPUSER=root, PHPGROUP=apache.
+
+ADDITIONAL NOTE:
+You may also have to recompile PHP to include support for mcrypt. Without this
+you may see warnings about mcrypt extension in phpmyadmin. Please see the
+link below on recompiling PHP with mcrypt support. (info and link provided by
+Joel Adamson): http://slackwiki.org/Recompile_php_with_mcrypt
diff --git a/network/phpmyadmin/phpmyadmin.SlackBuild b/network/phpmyadmin/phpmyadmin.SlackBuild
new file mode 100644
index 0000000000..dada6c7a29
--- /dev/null
+++ b/network/phpmyadmin/phpmyadmin.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware Package Build Script for phpmyadmin
+# Home Page http://www.phpmyadmin.net/
+
+# Copyright (c) 2009, Nishant Limbachia (nishant@mnspace.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=phpmyadmin
+VERSION=3.2.0
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+DOCROOT=${DOCROOT:-/var/www/htdocs}
+
+PHPUSER=${PHPUSER:-root}
+PHPGROUP=${PHPGROUP:-apache}
+
+SRCNAM="phpMyAdmin-${VERSION}-all-languages"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM.tar.bz2
+mv $SRCNAM $TMP/$PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/$DOCROOT
+cp -a $TMP/$PRGNAM-$VERSION $PKG/$DOCROOT
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+( cd $PKG/usr/doc/$PRGNAM-$VERSION
+ for docfile in \
+ CREDITS ChangeLog Documentation.html Documentation.txt INSTALL \
+ LICENSE README README.VENDOR RELEASE-DATE-$VERSION TODO ;
+ do ln -s ../../..${DOCROOT}/$PRGNAM-$VERSION/$docfile . ;
+ done
+)
+
+# Change ownership and perms and create a link.
+chown -R $PHPUSER:$PHPGROUP $PKG/$DOCROOT/$PRGNAM-$VERSION
+( cd $PKG/$DOCROOT; ln -sf phpmyadmin-$VERSION phpmyadmin )
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/phpmyadmin/phpmyadmin.info b/network/phpmyadmin/phpmyadmin.info
new file mode 100644
index 0000000000..790e024ee1
--- /dev/null
+++ b/network/phpmyadmin/phpmyadmin.info
@@ -0,0 +1,8 @@
+PRGNAM="phpmyadmin"
+VERSION="3.2.0"
+HOMEPAGE="http://www.phpmyadmin.net/home_page/index.php"
+DOWNLOAD="http://downloads.sourceforge.net/phpmyadmin/phpMyAdmin-3.2.0-all-languages.tar.bz2"
+MD5SUM="54d398c505e36164edded0131df35f3f"
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
+APPROVED="rworkman"
diff --git a/network/phpmyadmin/slack-desc b/network/phpmyadmin/slack-desc
new file mode 100644
index 0000000000..189edfd2e7
--- /dev/null
+++ b/network/phpmyadmin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------|
+phpmyadmin: phpmyadmin (MySQL administration over the web)
+phpmyadmin:
+phpmyadmin: phpMyAdmin is a free software tool written in PHP intended
+phpmyadmin: to handle the administration of MySQL over the web.
+phpmyadmin: phpMyAdmin supports a wide range of operations with MySQL
+phpmyadmin: and also includes ability to run SQL statements directly.
+phpmyadmin:
+phpmyadmin: Homepage: http://www.phpmyadmin.net/
+phpmyadmin:
+phpmyadmin:
+phpmyadmin: